%define	module	vacation
%define	name	horde-%{module}
%define	version	2.2.1
%define	release	1mdk
%define order	72
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The %{module} for Horde framework
License:	GPL
Group:		System/Servers
Source0:	%{module}-%{version}.tar.bz2
Source1:	%{module}-apache.conf.bz2
Source2:	%{module}-horde.conf.bz2
Patch:		%{module}-2.2.1.path.patch.bz2
URL:		http://www.horde.org/
Requires:	horde >= horde-2.2.5-2mdk
Requires:	vacation
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Vacation is a Horde module for managing user e-mail "vacation notices" or
"auto-responders." It works via a local vacation program which must be
installed and functioning on the server. It supports vacation programs using
the .forward-style forwarding mechanism supported by several popular mailers,
as well as qmail and sql based implementations. While it has been released and
is in production use at many sites, it is also under heavy development in an
effort to expand and improve the module.

Right now, Vacation provides fairly complete support for managing
.forward-style vacation notices on sendmail or courier mail based systems via
an FTP transport. It also has some support for qmail and exim sql based
servers.

Vacation is part of a suite of account management modules for Horde consisting
of Accounts, Forwards, Passwd, and Vacation.

%prep
%setup -q -n %{module}-%{version}
%patch

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_base}/webapps.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{ap_base}/webapps.d/%{order}_%{name}.conf

# horde configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d/%{module}.php

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{module}
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/%{module}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}
cp -pR scripts/* $RPM_BUILD_ROOT%{_datadir}/%{module}
cp -pR files/* $RPM_BUILD_ROOT%{_localstatedir}/%{module}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/LICENSE
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/README
rm -rf  $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/docs
rm -rf  $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/po
rm -rf  $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/files
rm -rf  $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/scripts

# remove .htaccess files
find $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module} -name .htaccess -exec rm -f {} \;

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/config/*.dist; do
	mv $file ${file%.dist}
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README LICENSE docs
# Apache configuration file
%config(noreplace) %{ap_base}/webapps.d/%{order}_%{name}.conf
# Horde configuration file
%config(noreplace) %{ap_htdocsdir}/horde/config/registry.d/%{module}.php
# scripts
%{_datadir}/%{module}
%{_localstatedir}/%{module}
# top level dir and files
%dir %{ap_htdocsdir}/horde/%{module}
%{ap_htdocsdir}/horde/%{module}/*.php
# standard dirs
%{ap_htdocsdir}/horde/%{module}/graphics
%{ap_htdocsdir}/horde/%{module}/lib
%{ap_htdocsdir}/horde/%{module}/templates
%{ap_htdocsdir}/horde/%{module}/locale
# config files
%dir %{ap_htdocsdir}/horde/%{module}/config
%config(noreplace) %{ap_htdocsdir}/horde/%{module}/config/*.php

%changelog
* Sat Sep 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.1-1mdk 
- first mdk release
